| default.h | Header File

Header File Index

Default header file which is always included

default.h is always included at the top of every other header file.
In addition to defining the following macros, this header file handles basic symbols such as `USE_TI89` and related ones, or `MIN_AMS`. See the info section How to make a TIGCC program.

Functions

_rom_call_addr_concat
  Returns a void pointer to a TIOS ROM call (internal).
_rom_call_addr_hack_concat
  Returns a void pointer for a TIOS ROM call, using an address hack if needed (internal).
_rom_call_addr_hack
  Returns a void pointer for a TIOS ROM call, using an address hack if needed.
_rom_call_addr
  Returns a void pointer to a TIOS ROM call.
_rom_call_attr
  Constructs a function definition with attributes for a TIOS ROM call.
_rom_call_concat
  Constructs a function definition for a TIOS ROM call (internal).
_rom_call_hack_attr_concat
  Constructs a function definition with an address hack and attributes for a TIOS ROM call (internal).
_rom_call_hack_attr
  Constructs a function definition with an address hack and attributes for a TIOS ROM call.
_rom_call_hack
  Constructs a function definition with an address hack for a TIOS ROM call.
_rom_call
  Constructs a function definition for a TIOS ROM call.
import_binary
  Imports a binary file as an arbitrary symbol.

Global Variables

__jmp_tbl
  A variable which points to the TIOS jump table of ROM calls.

Constants

MIN_AMS_MAJOR
  The major part of `MIN_AMS`.
MIN_AMS_MINOR
  The minor part of `MIN_AMS`.

See also: nostub.h, doors.h